Page MenuHomePhabricator

Define main topics of the Wikimedia Developer Summit 2016
Closed, ResolvedPublic

Description

WARNING: There are many venues where these main topics are being discussed. In terms of coordination, the canonical location is https://www.mediawiki.org/wiki/Topic:Tb6bztglijowk8x3. This task is for tracking purposes only.

We want to define main topics for the Wikimedia Developer Summit 2016, so that we can target better outreach and travel sponsorship beyond the usual participants in the event, and we can work better on the pre-scheduled sessions.

A Program committee is being created at the same time that these main topics are decided. It's a bit messy right now but things should settle soon. :)

The Summit will have plenty of time and space available to any other other topics pushed by their participants.

Event Timeline

Qgil created this task.Sep 22 2016, 1:00 PM
Qgil added a comment.Sep 24 2016, 9:06 AM

I have just posted a proposal for eight main topics synthesized in one title each. All based on the ongoing discussions.

Qgil closed this task as Resolved.Sep 27 2016, 9:48 AM

Main topics defined:

  • A plan for the Community Wishlist 2016 top results
  • Handling wiki content beyond plaintext
  • A unified vision for editorial collaboration
  • Building a sustainable user experience together
  • Useful, consistent, and well documented APIs
  • How to manage our technical debt
  • How to grow our technical community

The next step is to create wiki pages for each and ideally identify owners for each.